package io.tswf.minecraft.blockventure.core.view

import io.tswf.groovy.bettergroovy.asm.view.annotation.OnConflict
import io.tswf.groovy.bettergroovy.asm.view.annotation.View
import io.tswf.groovy.bettergroovy.asm.view.meta.ViewConflictResolveStrategy
import net.minecraft.block.entity.BlockEntity
import net.minecraft.block.entity.BlockEntityType

@View(targetClasses = BlockEntity)
interface ViewBlockEntity {
    void setType(BlockEntityType type)

    @OnConflict(ViewConflictResolveStrategy.SKIP)
    BlockEntityType getType()
}