package io.tswf.minecraft.blockventure.core.expansion

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.expansion.annotations.Expand
import net.minecraft.block.entity.BlockEntityType

@Expand( targetClasses = BlockEntityType )
@CompileStatic
class ExpansionAutoTickerBlockEntityType implements IAutoTickableBlockEntityType{

    boolean autoTicker

    @Override
    boolean isAutoTickerEnabled() {
        return autoTicker
    }

    @Override
    void setAutoTickerEnabled(boolean autoTicker) {
        this.autoTicker = autoTicker
    }
}

interface IAutoTickableBlockEntityType {
    boolean isAutoTickerEnabled()
    void setAutoTickerEnabled(boolean autoTicker)
}
